Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.serverstub
Class ConnectionHandler

    java.lang.Object
      com.verisign.epp.serverstub.ConnectionHandler

All Implemented Interfaces:
  EPPConnectionHandler

    public class ConnectionHandler

extends java.lang.Object
implements EPPConnectionHandler

The `ConnectionHandler` class defines how a server acknowledges new connections. An EPPGreeting is sent in this case.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $

Constructor Summary
`ConnectionHandler()` Create a new instance of ConnnectionHandler

Method Summary
`EPPEventResponse` | `handleConnection(java.lang.Object aData)` Invoked when a new connection occurs

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionHandler

    public ConnectionHandler()

  Create a new instance of ConnnectionHandler

Method Detail

### handleConnection

    public EPPEventResponse handleConnection(java.lang.Object aData)

  Invoked when a new connection occurs

  Specified by:
    `handleConnection` in interface `EPPConnectionHandler`
  Parameters:
    `aData` - Any data that the server may need
  Returns:
    EPPEventResponse Returns the greeting

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.